Bug 1963368 - music doesn't play
Summary: music doesn't play
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: corsix-th
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Artem
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-22 17:57 UTC by Kamil Páral
Modified: 2021-06-01 01:05 UTC (History)
1 user (show)

Fixed In Version: corsix-th-0.64-8.fc34 corsix-th-0.64-8.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-24 01:01:43 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Kamil Páral 2021-05-22 17:57:27 UTC
Description of problem:
With corsix-th-0.64-7.fc34.x86_64 I see the following in the log after starting the game:

/usr/share/corsix-th/Lua/audio.lua:577: Could not load music file 'Sound/Midi/ATLANTIS.XMI' (Couldn't open /etc/timidity/freepats.cfg)
stack traceback:
	[C]: in function 'yield'
	/usr/share/corsix-th/Lua/app.lua:1012: in function </usr/share/corsix-th/Lua/app.lua:1007>

And the game music indeed doesn't play.

Version-Release number of selected component (if applicable):
corsix-th-0.64-7.fc34.x86_64

How reproducible:
always

Comment 1 Fedora Update System 2021-05-23 12:13:19 UTC
FEDORA-2021-e79b5826d5 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-e79b5826d5

Comment 2 Fedora Update System 2021-05-23 12:13:39 UTC
FEDORA-2021-ad7ae09d76 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-ad7ae09d76

Comment 3 Artem 2021-05-23 15:43:11 UTC
@Kamil, thanks again for help with reviving this awesome package/game. I've asked in chat to test new build and it should work now. Not sure this was inattention or what and on my machine it worked last time i played. Anyway, i hope it fixed now, but nice to test it more.

Comment 4 Fedora Update System 2021-05-24 01:01:43 UTC
FEDORA-2021-e79b5826d5 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Fedora Update System 2021-05-24 01:05:00 UTC
FEDORA-2021-ad7ae09d76 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-ad7ae09d76`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-ad7ae09d76

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Kamil Páral 2021-05-24 07:01:44 UTC
Thanks again, Artem, works perfectly now :-)

Comment 7 Fedora Update System 2021-06-01 01:05:01 UTC
FEDORA-2021-ad7ae09d76 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.